The Conan registry is not FIPS compliant and is disabled when FIPS mode is enabled. These
endpoints all return 404 Not Found.
Use this API to interact with the Conan package manager for v1 and v2 repositories. The v1 endpoints work for both projects and instances, and the availability of the v2 endpoints is controlled by a feature flag. Generally these endpoints are used by the Conan package manager client and are not meant for manual consumption.
These endpoints do not adhere to the standard API authentication methods. See each route for details on how credentials are expected to be passed. Undocumented authentication methods might be removed in the future.
Search for a Conan package
GET /api/v4/packages/conan/v1/conans/search
Searches the instance for a specified Conan package.
Parameters
| Name | Type | Description |
|---|---|---|
qQuery, | String | Search query.* as a wildcardExample: Hello* |
ignorecaseQuery | Boolean | If true,Example: false |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve a recipe snapshot
GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}
Retrieves a snapshot of the files for a specified Conan recipe. The snapshot is a list of filenames with their associated MD5 hash.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Delete a recipe and package
DELETE /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}
Deletes a specified Conan recipe and associated package files from the package registry.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a recipe manifest
GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/digest
Retrieves a manifest that includes a list of files and associated download URLs for a specified recipe.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
List all recipe download URLs
GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/download_urls
Lists all files and associated download URLs for a specified recipe in the package registry. Returns the same payload as the recipe manifest endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a package snapshot
GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}
Retrieves a snapshot of the files for a specified Conan package and reference. The snapshot is a list of filenames with their associated MD5 hash.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a package manifest
GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/digest
Retrieves a manifest that includes a list of files and associated download URLs for a specified package.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
List all package download URLs
GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/download_urls
Lists all files and associated download URLs for a specified package in the package registry. Returns the same payload as the package manifest endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
List all package upload URLs
POST /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/upload_urls
Lists all the upload URLs for a specified collection of package files. The request must include a JSON object with the name and size of the individual files.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve package references metadata
GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/search
Retrieves the metadata for all package references of a specified package. This feature was introduced in GitLab 18.0.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
List all recipe upload URLs
POST /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/upload_urls
Lists all the upload URLs for a specified collection of recipe files. The request must include a JSON object with the name and size of the individual files.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a recipe file
GET /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}
Retrieves a specified recipe file from the package registry. You must use the download URL returned from the recipe download URLs endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conanfile. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Upload a recipe file
PUT /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}
Uploads a specified recipe file to the package registry. You must use the upload URL returned from the recipe upload URLs endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conanfile. |
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
fileRequired | String (binary) | The package file to be published (generated by Multipart middleware) |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Workhorse authorize the Conan recipe file
PUT /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}/authorize
Authorizes the Conan recipe file.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conanfile. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a package file
GET /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}
Retrieves a specified package file from the package registry. You must use the download URL returned from the package download URLs endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
package_Path, | String | Revision of the package.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conaninfo. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Upload a package file
PUT /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}
Uploads a specified package file to the package registry. You must use the upload URL returned from the package upload URLs endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
package_Path, | String | Revision of the package.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conaninfo. |
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
fileRequired | String (binary) | The package file to be published (generated by Multipart middleware) |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Workhorse authorize the Conan package file
PUT /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}/authorize
Authorizes the Conan package file.
Parameters
| Name | Type | Description |
|---|---|---|
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
package_Path, | String | Revision of the package.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conaninfo. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Verify availability of a Conan repository
GET /api/v4/packages/conan/v1/ping
Verifies availability of a Conan repository.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
404 | Not Found | — |
Retrieve an authentication token
GET /api/v4/packages/conan/v1/users/authenticate
Retrieves an authentication token. Creates a JSON Web Token (JWT) for use as a Bearer header in other requests to the package registry.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
401 | Unauthorized | — |
404 | Not Found | — |
Verify authentication credentials
GET /api/v4/packages/conan/v1/users/check_credentials
Verifies authentication credentials for a Conan package registry.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
401 | Unauthorized | — |
404 | Not Found | — |
Search for a Conan package
GET /api/v4/projects/{id}/packages/conan/v1/conans/search
Searches the instance for a specified Conan package.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
qQuery, | String | Search query.* as a wildcardExample: Hello* |
ignorecaseQuery | Boolean | If true,Example: false |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve a recipe snapshot
GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}
Retrieves a snapshot of the files for a specified Conan recipe. The snapshot is a list of filenames with their associated MD5 hash.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Delete a recipe and package
DELETE /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}
Deletes a specified Conan recipe and associated package files from the package registry.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a recipe manifest
GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/digest
Retrieves a manifest that includes a list of files and associated download URLs for a specified recipe.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
List all recipe download URLs
GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/download_urls
Lists all files and associated download URLs for a specified recipe in the package registry. Returns the same payload as the recipe manifest endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a package snapshot
GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}
Retrieves a snapshot of the files for a specified Conan package and reference. The snapshot is a list of filenames with their associated MD5 hash.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a package manifest
GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/digest
Retrieves a manifest that includes a list of files and associated download URLs for a specified package.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
List all package download URLs
GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/download_urls
Lists all files and associated download URLs for a specified package in the package registry. Returns the same payload as the package manifest endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
List all package upload URLs
POST /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/upload_urls
Lists all the upload URLs for a specified collection of package files. The request must include a JSON object with the name and size of the individual files.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve package references metadata
GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/search
Retrieves the metadata for all package references of a specified package. This feature was introduced in GitLab 18.0.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
List all recipe upload URLs
POST /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/upload_urls
Lists all the upload URLs for a specified collection of recipe files. The request must include a JSON object with the name and size of the individual files.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a recipe file
GET /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}
Retrieves a specified recipe file from the package registry. You must use the download URL returned from the recipe download URLs endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conanfile. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Upload a recipe file
PUT /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}
Uploads a specified recipe file to the package registry. You must use the upload URL returned from the recipe upload URLs endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conanfile. |
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
fileRequired | String (binary) | The package file to be published (generated by Multipart middleware) |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Workhorse authorize the Conan recipe file
PUT /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}/authorize
Authorizes the Conan recipe file.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conanfile. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a package file
GET /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}
Retrieves a specified package file from the package registry. You must use the download URL returned from the package download URLs endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
package_Path, | String | Revision of the package.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conaninfo. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not Found | — |
Upload a package file
PUT /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}
Uploads a specified package file to the package registry. You must use the upload URL returned from the package upload URLs endpoint.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
package_Path, | String | Revision of the package.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conaninfo. |
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
fileRequired | String (binary) | The package file to be published (generated by Multipart middleware) |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Workhorse authorize the Conan package file
PUT /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}/authorize
Authorizes the Conan package file.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe.0 is always usedExample: 0 |
conan_Path, | String | Reference hash of the Conan package. Example: 103f6067a947f366ef91 |
package_Path, | String | Revision of the package.0 is always usedExample: 0 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conaninfo. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Verify availability of a Conan repository
GET /api/v4/projects/{id}/packages/conan/v1/ping
Verifies availability of a Conan repository.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve an authentication token
GET /api/v4/projects/{id}/packages/conan/v1/users/authenticate
Retrieves an authentication token. Creates a JSON Web Token (JWT) for use as a Bearer header in other requests to the package registry.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
404 | Not Found | — |
Verify authentication credentials
GET /api/v4/projects/{id}/packages/conan/v1/users/check_credentials
Verifies authentication credentials for a Conan package registry.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
404 | Not Found | — |
Search for a Conan package
GET /api/v4/projects/{id}/packages/conan/v2/conans/search
Searches the instance for a specified Conan package.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
qQuery, | String | Search query.* as a wildcardExample: Hello* |
ignorecaseQuery | Boolean | If true,Example: false |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve latest recipe revision
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/latest
Retrieves the revision hash and creation date of the latest package recipe. This feature was introduced in GitLab 17.11.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
List all recipe revisions
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions
Lists all revisions for a package recipe. This feature was introduced in GitLab 17.11.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Delete recipe revision
DELETE /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}
Deletes a specified recipe revision from the registry. If the recipe revision is the only one, the package is deleted as well. This feature was introduced in GitLab 18.1.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
List all recipe files
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/files
Lists all recipe files from the package registry. This feature was introduced in GitLab 17.11.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a recipe file
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/files/{file_name}
Retrieves a specified recipe file from the package registry. This feature was introduced in GitLab 17.8.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conanfile. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Upload a recipe file
PUT /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/files/{file_name}
Uploads a specified recipe file to the package registry. This feature was introduced in GitLab 17.10.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conanfile. |
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
fileRequired | String (binary) | The package file to be published (generated by Multipart middleware) |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Workhorse authorize the Conan recipe file
PUT /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/files/{file_name}/authorize
Authorizes the Conan recipe file. This feature was introduced in GitLab 17.10.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conanfile. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve latest package revision
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/latest
Retrieves the revision hash and creation date of the latest package revision for a specified recipe revision and package reference. This feature was introduced in GitLab 17.11.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
conan_Path, | String | Reference hash of the Conan package. Example: 5ab84d6acfe1f23c4fae |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
List all package revisions
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions
Lists all package revisions for a specified recipe revision and package reference. This feature was introduced in GitLab 18.0.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
conan_Path, | String | Reference hash of the Conan package. Example: 5ab84d6acfe1f23c4fae |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Delete a package revision
DELETE /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}
Deletes a specified package revision from the registry. If the package reference has only one package revision, the package reference is deleted as well. This feature was introduced in GitLab 18.1.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
conan_Path, | String | Reference hash of the Conan package. Example: 5ab84d6acfe1f23c4fae |
package_Path, | String | Revision of the package Example: 3bdd2d8c8e76c876ebd1 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
List all package files
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}/files
Lists all package files. This feature was introduced in GitLab 18.0.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
conan_Path, | String | Reference hash of the Conan package. Example: 5ab84d6acfe1f23c4fae |
package_Path, | String | Revision of the package Example: 3bdd2d8c8e76c876ebd1 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve a package file
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}/files/{file_name}
Retrieves a specified package file from the package registry. This feature was introduced in GitLab 17.11.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
conan_Path, | String | Reference hash of the Conan package. Example: 5ab84d6acfe1f23c4fae |
package_Path, | String | Revision of the package Example: 3bdd2d8c8e76c876ebd1 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conaninfo. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Upload a package file
PUT /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}/files/{file_name}
Uploads a specified package file to the package registry. This feature was introduced in GitLab 17.11.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
conan_Path, | String | Reference hash of the Conan package. Example: 5ab84d6acfe1f23c4fae |
package_Path, | String | Revision of the package Example: 3bdd2d8c8e76c876ebd1 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conaninfo. |
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
fileRequired | String (binary) | The package file to be published (generated by Multipart middleware) |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Workhorse authorize the Conan package file
PUT /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}/files/{file_name}/authorize
Authorizes the Conan package file. This feature was introduced in GitLab 17.11.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
conan_Path, | String | Reference hash of the Conan package. Example: 5ab84d6acfe1f23c4fae |
package_Path, | String | Revision of the package Example: 3bdd2d8c8e76c876ebd1 |
file_Path, | String | Name of the package file Allowed values: conanfile.,conanmanifest.,conan_,conan_,conaninfo.,conan_Minimum length: 1Example: conaninfo. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve package references metadata by recipe revision
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/search
Retrieves the metadata for all package references associated with a specified recipe revision. This feature was introduced in GitLab 18.1.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
recipe_Path, | String | Revision of the recipe Example: df28fd816be3a119de5c |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve package references metadata
GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/search
Retrieves the metadata for all package references of a specified package. This feature was introduced in GitLab 18.0.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
package_Path, | String | Name of the package Example: my- |
package_Path, | String | Version of the package Example: 1. |
package_Path, | String | Conan username of the package.+-Example: my- |
package_Path, | String | Channel of the package Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Retrieve an authentication token
GET /api/v4/projects/{id}/packages/conan/v2/users/authenticate
Retrieves an authentication token. Creates a JSON Web Token (JWT) for use as a Bearer header in other requests to the package registry.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
404 | Not Found | — |
Verify authentication credentials
GET /api/v4/projects/{id}/packages/conan/v2/users/check_credentials
Verifies authentication credentials for a Conan package registry.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
404 | Not Found | — |
Schemas
Objects returned by the operations above and objects nested in their request bodies.
APIEntitiesPackagesConanFilesList
| Property | Type | Description |
|---|---|---|
files | Object | Example:{"conan_ |
APIEntitiesPackagesConanPackageManifest
| Property | Type | Description |
|---|---|---|
package_ | Object | Example:{"conan_ |
APIEntitiesPackagesConanPackageRevisions
| Property | Type | Description |
|---|---|---|
package | String | The Conan package reference Example: package |
revisions | Array of APIEntities | List of package revisions |
APIEntitiesPackagesConanPackageSnapshot
| Property | Type | Description |
|---|---|---|
package_ | Object | Example:{"conan_ |
APIEntitiesPackagesConanRecipeManifest
| Property | Type | Description |
|---|---|---|
recipe_ | Object | Example:{"conan_ |
APIEntitiesPackagesConanRecipeRevisions
| Property | Type | Description |
|---|---|---|
reference | String | The Conan package reference Example: package |
revisions | Array of APIEntities | List of recipe revisions |
APIEntitiesPackagesConanRecipeSnapshot
| Property | Type | Description |
|---|---|---|
recipe_ | Object | Example:{"conan_ |
APIEntitiesPackagesConanRevision
| Property | Type | Description |
|---|---|---|
revision | String | The revision hash of the Conan recipe or package Example: 75151329520e7685dcf5 |
time | String | The UTC timestamp when the revision was created Example: 2024- |
APIEntitiesPackagesConanUploadUrls
| Property | Type | Description |
|---|---|---|
upload_ | Object | Example:{"conan_ |